from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.container import XIndexAccess

@runtime_checkable
class XDrawPages(XIndexAccess, Protocol):
    def insertNewByIndex(self, nIndex: int) -> XDrawPage: ...
    def remove(self, xPage: XDrawPage) -> None: ...
